Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Proceedings/PrintFormat.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Proceedings/PrintFormat.cs	(revision 54)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Proceedings/PrintFormat.cs	(revision 55)
@@ -162,7 +162,7 @@
                 {
                     // 対象日文字列作成
                     string strTargetDate = DailyRec.ProceedingsDataDate.ToShortDateString();
-                    // 工事日報シートの取得
+                    // 議事録シートの取得
                     m_UsedExcel.ExcelSheetGet(s_SheetName, true, strTargetDate.Replace("/", "-"));
 
                     // データリストクリア
@@ -408,7 +408,7 @@
                 string strSales = picDB.CreatePrimarykeyString(DailyRec.CreatorCode);
                 picDB.SelectAction(strSales, ref SalesRec);
                 PorsonTable[SetCnt] = DailyRec.CreatorCode;
-                //PrintNameTable[SetCnt] = SalesRec.DisplayString;
+                PrintNameTable[SetCnt] = SalesRec.DisplayString;
                 PersonNameTable[SetCnt] = SalesRec.SealPrintName;
 
                 // テーブル内に同じコードが無いか後から調べる
@@ -432,7 +432,7 @@
                 shapedef.ShapeWidth = s_ShapeSize[0, 0];        // 図形描画サイズ Width
                 shapedef.ShapeHeight = s_ShapeSize[0, 1];       // 図形描画サイズ Height
 
-                int PrintPos = 22;   // Wは22
+                int PrintPos = 21;   // Wは22
                 for (int i = 0; i < PorsonTable.Length; i++, PrintPos += 3)
                 {
                     if (PorsonTable[i] == 0) continue;
@@ -448,7 +448,7 @@
 
                     // タイトル印字
                     string strChar = CommonMotions.cnvNumberToAlphaCharacter(PrintPos);
-                    int RowPoint = 1 + (s_NumberOfRowInDetail * PageCnt);
+                    int RowPoint = 3 + (s_NumberOfRowInDetail * PageCnt);
                     if (PrintPos > 25) strChar = "A" + strChar;
                     if (PrintNameTable[i].Length != 0)
                     {
@@ -644,9 +644,9 @@
         }
         #endregion
 
-        #region 印刷ページを取得するために工事日報データの対象件数を取得する
+        #region 印刷ページを取得するために議事録データの対象件数を取得する
         /// <summary>
-        /// 印刷ページを取得するために工事日報データの対象件数を取得する
+        /// 印刷ページを取得するために議事録データの対象件数を取得する
         /// </summary>
         /// <returns></returns>
         private int GetProcessCount()
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmTAndPCostsAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmTAndPCostsAuxiliary.cs	(revision 54)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmTAndPCostsAuxiliary.cs	(revision 55)
@@ -115,13 +115,20 @@
         /// </summary>
         private void ClearDisplay()
         {
-            foreach (Control wrk in m_dispControl)
+            try
             {
-                if (CommonMotions.chkObjectIsNull(wrk)) continue;
-                if (wrk.GetType().Equals(typeof(ComboBoxEX))) continue;
-                wrk.Text = "";
+                foreach (Control wrk in m_dispControl)
+                {
+                    if (CommonMotions.chkObjectIsNull(wrk)) continue;
+                    if (wrk.GetType().Equals(typeof(ComboBoxEX))) continue;
+                    wrk.Text = "";
+                }
+                m_bChengeAns = false;
             }
-            m_bChengeAns = false;
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
         }
         #endregion
 
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/Master/AlwaysEmployment/AlwaysEmployment.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/Master/AlwaysEmployment/AlwaysEmployment.cs	(revision 54)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/Master/AlwaysEmployment/AlwaysEmployment.cs	(revision 55)
@@ -841,30 +841,37 @@
         /// </summary>
         private void ClearDisplay()
         {
-            foreach (Control wrk in m_dispControl)
+            try
             {
-                if (CommonMotions.chkObjectIsNull(wrk)) continue;
-                wrk.Text = "";
-                CommonMotions.chgBackColor(wrk, true);
-            }
+                foreach (Control wrk in m_dispControl)
+                {
+                    if (CommonMotions.chkObjectIsNull(wrk)) continue;
+                    wrk.Text = "";
+                    CommonMotions.chgBackColor(wrk, true);
+                }
 
-            // 新規時は担当者コードを表示しない
-            if (m_PersonCode == 0)
-            {
-                lblPersonLabel.Visible = false;
-                lblPersonCode.Visible = false;
+                // 新規時は担当者コードを表示しない
+                if (m_PersonCode == 0)
+                {
+                    lblPersonLabel.Visible = false;
+                    lblPersonCode.Visible = false;
+                }
+                else
+                {
+                    lblPersonLabel.Visible = true;
+                    lblPersonCode.Visible = true;
+                }
+                // コンボボックス初期処理
+                SetSecurityManagementCombBox();
+                SetDepartmentCombBox();
+                SetCalcLedgerCombBox();
+
+                m_bChengeAns = false;
             }
-            else
+            catch (System.Exception ex)
             {
-                lblPersonLabel.Visible = true;
-                lblPersonCode.Visible = true;
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
-            // コンボボックス初期処理
-            SetSecurityManagementCombBox();
-            SetDepartmentCombBox();
-            SetCalcLedgerCombBox();
-
-            m_bChengeAns = false;
         }
         #endregion
 
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/Master/Component/FrmComponent.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/Master/Component/FrmComponent.cs	(revision 54)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/Master/Component/FrmComponent.cs	(revision 55)
@@ -634,36 +634,43 @@
         /// </summary>
         private void ClearDisplay()
         {
-            foreach (Control wrk in m_dispControl)
+            try
             {
-                if (CommonMotions.chkObjectIsNull(wrk)) continue;
-                if (!wrk.GetType().Equals(typeof(Button)))
-                    wrk.Text = "";
-            }
+                foreach (Control wrk in m_dispControl)
+                {
+                    if (CommonMotions.chkObjectIsNull(wrk)) continue;
+                    if (!wrk.GetType().Equals(typeof(Button)))
+                        wrk.Text = "";
+                }
 
-            // 新規時はコードを表示しない
-            if (m_ComponentCode == 0)
-            {
-                lblStaticItemCode.Visible = false;
-                lblItemCode.Visible = false;
+                // 新規時はコードを表示しない
+                if (m_ComponentCode == 0)
+                {
+                    lblStaticItemCode.Visible = false;
+                    lblItemCode.Visible = false;
+                }
+                else
+                {
+                    lblStaticItemCode.Visible = true;
+                    lblItemCode.Visible = true;
+                }
+                // 工事種別グリッドクリア
+                dgvTypeList.Rows.Clear();
+                // 初期行表示
+                dgvTypeList.Rows.Add(8);
+                // グリッドロック
+                dgvTypeList.Enabled = false;
+
+                // コンボボックス初期値セット
+                cmbSubItems.SelectedIndex = -1;
+                cmbDirectInput.SelectedIndex = -1;
+                cmbMyExpenses.SelectedIndex = -1;
+                m_bChengeAns = false;
             }
-            else
+            catch (System.Exception ex)
             {
-                lblStaticItemCode.Visible = true;
-                lblItemCode.Visible = true;
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
-            // 工事種別グリッドクリア
-            dgvTypeList.Rows.Clear();
-            // 初期行表示
-            dgvTypeList.Rows.Add(8);
-            // グリッドロック
-            dgvTypeList.Enabled = false;
-
-            // コンボボックス初期値セット
-            cmbSubItems.SelectedIndex = -1;
-            cmbDirectInput.SelectedIndex = -1;
-            cmbMyExpenses.SelectedIndex = -1;
-            m_bChengeAns = false;
         }
         #endregion
 
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/Master/ComponentLink/FrmComponentLink.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/Master/ComponentLink/FrmComponentLink.cs	(revision 54)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/Master/ComponentLink/FrmComponentLink.cs	(revision 55)
@@ -690,9 +690,16 @@
         /// </summary>
         private void ClearDisplay()
         {
-            dgvItemList.Rows.Clear();
+            try
+            {
+                dgvItemList.Rows.Clear();
 
-            m_bChengeAns = false;
+                m_bChengeAns = false;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
         }
         #endregion
 
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/Master/ConstructionItem/FrmConstructionItem.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/Master/ConstructionItem/FrmConstructionItem.cs	(revision 54)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/Master/ConstructionItem/FrmConstructionItem.cs	(revision 55)
@@ -635,28 +635,35 @@
         /// </summary>
         private void ClearDisplay()
         {
-            foreach (Control wrk in m_dispControl)
+            try
             {
-                if (CommonMotions.chkObjectIsNull(wrk)) continue;
-                if (!wrk.GetType().Equals(typeof(Button)))
-                    wrk.Text = "";
-            }
+                foreach (Control wrk in m_dispControl)
+                {
+                    if (CommonMotions.chkObjectIsNull(wrk)) continue;
+                    if (!wrk.GetType().Equals(typeof(Button)))
+                        wrk.Text = "";
+                }
 
-            // 新規時はコードを表示しない
-            if (m_ItemCode == 0)
-            {
-                lblStaticItemCode.Visible = false;
-                lblItemCode.Visible = false;
+                // 新規時はコードを表示しない
+                if (m_ItemCode == 0)
+                {
+                    lblStaticItemCode.Visible = false;
+                    lblItemCode.Visible = false;
+                }
+                else
+                {
+                    lblStaticItemCode.Visible = true;
+                    lblItemCode.Visible = true;
+                }
+                cmbSubItems.SelectedIndex = -1;
+                cmbMyExpenses.SelectedIndex = -1;
+
+                m_bChengeAns = false;
             }
-            else
+            catch (System.Exception ex)
             {
-                lblStaticItemCode.Visible = true;
-                lblItemCode.Visible = true;
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
-            cmbSubItems.SelectedIndex = -1;
-            cmbMyExpenses.SelectedIndex = -1;
-
-            m_bChengeAns = false;
         }
         #endregion
 
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/Master/ConstructionSpec/FrmConstructionSpec.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/Master/ConstructionSpec/FrmConstructionSpec.cs	(revision 54)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/Master/ConstructionSpec/FrmConstructionSpec.cs	(revision 55)
@@ -708,26 +708,33 @@
         /// </summary>
         private void ClearDisplay()
         {
-            foreach (Control wrk in m_dispControl)
+            try
             {
-                if (CommonMotions.chkObjectIsNull(wrk)) continue;
-                if (!wrk.GetType().Equals(typeof(Button)))
-                    wrk.Text = "";
-            }
+                foreach (Control wrk in m_dispControl)
+                {
+                    if (CommonMotions.chkObjectIsNull(wrk)) continue;
+                    if (!wrk.GetType().Equals(typeof(Button)))
+                        wrk.Text = "";
+                }
 
-            // 新規時は会社コードを表示しない
-            if (m_SpecCode == 0)
-            {
-                lblStaticWorkCode.Visible = false;
-                lblSpecCode.Visible = false;
+                // 新規時は会社コードを表示しない
+                if (m_SpecCode == 0)
+                {
+                    lblStaticWorkCode.Visible = false;
+                    lblSpecCode.Visible = false;
+                }
+                else
+                {
+                    lblStaticWorkCode.Visible = true;
+                    lblSpecCode.Visible = true;
+                }
+
+                m_bChengeAns = false;
             }
-            else
+            catch (System.Exception ex)
             {
-                lblStaticWorkCode.Visible = true;
-                lblSpecCode.Visible = true;
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
-
-            m_bChengeAns = false;
         }
         #endregion
 
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/Master/ConstructionType/FrmConstructionType.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/Master/ConstructionType/FrmConstructionType.cs	(revision 54)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/Master/ConstructionType/FrmConstructionType.cs	(revision 55)
@@ -567,26 +567,33 @@
         /// </summary>
         private void ClearDisplay()
         {
-            foreach (Control wrk in m_dispControl)
+            try
             {
-                if (CommonMotions.chkObjectIsNull(wrk)) continue;
-                if (!wrk.GetType().Equals(typeof(Button)))
-                    wrk.Text = "";
-            }
+                foreach (Control wrk in m_dispControl)
+                {
+                    if (CommonMotions.chkObjectIsNull(wrk)) continue;
+                    if (!wrk.GetType().Equals(typeof(Button)))
+                        wrk.Text = "";
+                }
 
-            // 新規時はコードを表示しない
-            if (m_TypeCode == 0)
-            {
-                lblStaticItemCode.Visible = false;
-                lblTypeCode.Visible = false;
+                // 新規時はコードを表示しない
+                if (m_TypeCode == 0)
+                {
+                    lblStaticItemCode.Visible = false;
+                    lblTypeCode.Visible = false;
+                }
+                else
+                {
+                    lblStaticItemCode.Visible = true;
+                    lblTypeCode.Visible = true;
+                }
+                cmbPublicFlg.SelectedIndex = -1;
+                m_bChengeAns = false;
             }
-            else
+            catch (System.Exception ex)
             {
-                lblStaticItemCode.Visible = true;
-                lblTypeCode.Visible = true;
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
-            cmbPublicFlg.SelectedIndex = -1;
-            m_bChengeAns = false;
         }
         #endregion
 
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/Master/Expenses/FrmExpenses.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/Master/Expenses/FrmExpenses.cs	(revision 54)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/Master/Expenses/FrmExpenses.cs	(revision 55)
@@ -427,14 +427,21 @@
         /// </summary>
         private void ClearDisplay()
         {
-            foreach (Control wrk in m_dispControl)
+            try
             {
-                if (CommonMotions.chkObjectIsNull(wrk)) continue;
-                if (wrk.GetType().Equals(typeof(DataGridView))) continue;
-                wrk.Text = "";
+                foreach (Control wrk in m_dispControl)
+                {
+                    if (CommonMotions.chkObjectIsNull(wrk)) continue;
+                    if (wrk.GetType().Equals(typeof(DataGridView))) continue;
+                    wrk.Text = "";
+                }
+                dgvExpenses.Rows.Clear();
+                m_bChengeAns = false;
             }
-            dgvExpenses.Rows.Clear();
-            m_bChengeAns = false;
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
         }
 
         /// <summary>
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/Master/Orderer/FrmOrderers.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/Master/Orderer/FrmOrderers.cs	(revision 54)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/Master/Orderer/FrmOrderers.cs	(revision 55)
@@ -82,6 +82,9 @@
             PointFront,
             PointRear,
             ChangeOrdersChange,
+            DepartmentName,
+            ChargePersonName,
+            MailAddress,
         }
         #endregion
 
@@ -107,7 +110,7 @@
         /// <summary>
         /// 表示コントロール保持配列
         /// </summary>
-        private Control[] m_dispControl = new Control[17];
+        private Control[] m_dispControl;
 
         /// <summary>
         /// 初期読込時データカウント
@@ -668,6 +671,9 @@
         /// </summary>
         private void SetDisplayObject()
         {
+            int DspCtrlCnt = Enum.GetNames(typeof(Dispcount)).Length;
+            m_dispControl = new Control[DspCtrlCnt];
+
             m_dispControl[(int)Dispcount.OrderersCode] = lblOrderersCode;
             m_dispControl[(int)Dispcount.CorporateStatusName] = cmbCorporateStatus;
             m_dispControl[(int)Dispcount.OrderersName1] = txtInput01;
@@ -685,6 +691,9 @@
             m_dispControl[(int)Dispcount.PointFront] = rdbPoint2;
             m_dispControl[(int)Dispcount.PointRear] = rdbPoint3;
             m_dispControl[(int)Dispcount.ChangeOrdersChange] = cmbChangeOrdersDivision;
+            m_dispControl[(int)Dispcount.DepartmentName] = textBox1;
+            m_dispControl[(int)Dispcount.ChargePersonName] = textBox2;
+            m_dispControl[(int)Dispcount.MailAddress] =txtInput15;
         }
         #endregion
 
@@ -697,8 +706,15 @@
             foreach (Control wrk in m_dispControl)
             {
                 if (CommonMotions.chkObjectIsNull(wrk)) continue;
-                if (!wrk.GetType().Equals(typeof(Label)))
+                if (wrk.GetType().Equals(typeof(Label))) continue;
+                if (wrk.GetType().Equals(typeof(TextBox)))
+                {
+                    ((TextBox)wrk).ReadOnly = !bctrl;
+                }
+                else
+                {
                     wrk.Enabled = bctrl;
+                }
             }
         }
         #endregion
@@ -709,29 +725,36 @@
         /// </summary>
         private void ClearDisplay()
         {
-            foreach (Control wrk in m_dispControl)
+            try
             {
-                if (CommonMotions.chkObjectIsNull(wrk)) continue;
-                if (wrk.GetType().Equals(typeof(RadioButton))) continue;
-                if (wrk.GetType().Equals(typeof(Button))) continue;
-                wrk.Text = "";
+                foreach (Control wrk in m_dispControl)
+                {
+                    if (CommonMotions.chkObjectIsNull(wrk)) continue;
+                    if (wrk.GetType().Equals(typeof(RadioButton))) continue;
+                    if (wrk.GetType().Equals(typeof(Button))) continue;
+                    wrk.Text = "";
+                }
+
+                // 新規時は発注者コードを表示しない
+                if (m_OrderersCode == 0)
+                {
+                    lblOrderersCode.Visible = false;
+                    lblOrderersCodelabel.Visible = false;
+                }
+                else
+                {
+                    lblOrderersCode.Visible = true;
+                    lblOrderersCodelabel.Visible = true;
+                }
+                cmbCorporateStatus.SelectedIndex = -1;
+                cmbChangeOrdersDivision.SelectedIndex = -1;
+                rdbPoint1.Checked = true;
+                m_bChengeAns = false;
             }
-            
-            // 新規時は発注者コードを表示しない
-            if (m_OrderersCode == 0)
+            catch (System.Exception ex)
             {
-                lblOrderersCode.Visible = false;
-                lblOrderersCodelabel.Visible = false;
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
-            else
-            {
-                lblOrderersCode.Visible = true;
-                lblOrderersCodelabel.Visible = true;
-            }
-            cmbCorporateStatus.SelectedIndex = -1;
-            cmbChangeOrdersDivision.SelectedIndex = -1;
-            rdbPoint1.Checked = true;
-            m_bChengeAns = false;
         }
         #endregion
 
@@ -753,6 +776,14 @@
                 if (m_dispControl[(int)Dispcount.OrderersName2].Text.Length != 0) iLength++;
                 bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)Dispcount.OrderersName2], s_OrderersNameLength, false);
 
+                // 部署名
+                if (m_dispControl[(int)Dispcount.DepartmentName].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)Dispcount.DepartmentName], s_OrderersNameLength, false);
+
+                // 担当者名
+                if (m_dispControl[(int)Dispcount.ChargePersonName].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)Dispcount.ChargePersonName], s_OrderersNameLength, false);
+
                 // 住所１
                 if (m_dispControl[(int)Dispcount.Address1].Text.Length != 0) iLength++;
                 bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)Dispcount.Address1], s_AddressLength, true);
@@ -773,6 +804,10 @@
                 if (m_dispControl[(int)Dispcount.FaxNumber].Text.Length != 0) iLength++;
                 bRet &= CommonMotions.DispFieldPhoneNumberCheck(m_dispControl[(int)Dispcount.FaxNumber]);
 
+                // メールアドレス
+                if (m_dispControl[(int)Dispcount.MailAddress].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)Dispcount.MailAddress], 256);
+
                 // 備考
                 if (m_dispControl[(int)Dispcount.Note].Text.Length != 0) iLength++;
                 bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)Dispcount.Note], s_NoteLength);
@@ -848,6 +883,9 @@
                 else if (rdbPoint2.Checked == true) work.CorporateStatusPoint = 1;
                 else if (rdbPoint3.Checked == true) work.CorporateStatusPoint = 2;
 
+                if (radioButton1.Checked == true) work.OrderFlg = 0;
+                else if (radioButton2.Checked == true) work.OrderFlg = 1;
+
                 // 法人格名称
                 if (work.CorporateStatusPoint != 0)
                     if (m_dispControl[(int)Dispcount.CorporateStatusName].Text.Length != 0)
@@ -860,6 +898,14 @@
                 if (m_dispControl[(int)Dispcount.OrderersName2].Text.Length != 0)
                     work.OrderersName2 = m_dispControl[(int)Dispcount.OrderersName2].Text;
 
+                // 部署名
+                if (m_dispControl[(int)Dispcount.DepartmentName].Text.Length != 0)
+                    work.DepartmentName = m_dispControl[(int)Dispcount.DepartmentName].Text;
+
+                // 担当者名
+                if (m_dispControl[(int)Dispcount.ChargePersonName].Text.Length != 0)
+                    work.ChargePersonName = m_dispControl[(int)Dispcount.ChargePersonName].Text;
+
                 // 郵便番号
                 if (m_dispControl[(int)Dispcount.ZipCode].Text.Length != 0)
                     work.ZipCode = m_dispControl[(int)Dispcount.ZipCode].Text;
@@ -884,6 +930,10 @@
                 if (m_dispControl[(int)Dispcount.FaxNumber].Text.Length != 0)
                     work.FaxNumber = m_dispControl[(int)Dispcount.FaxNumber].Text;
 
+                // メールアドレス
+                if (m_dispControl[(int)Dispcount.MailAddress].Text.Length != 0)
+                    work.MailAddress = m_dispControl[(int)Dispcount.MailAddress].Text;
+
                 // 備考
                 if (m_dispControl[(int)Dispcount.Note].Text.Length != 0)
                     work.Note = m_dispControl[(int)Dispcount.Note].Text;
@@ -920,11 +970,11 @@
                     }
 
                     // データがない場合
-                    workList.Clear();
-                    workList.Add(work);
+                    //workList.Clear();
+                    //workList.Add(work);
 
                     // データ登録
-                    if (!orDB.InsertAction(workList, false))
+                    if (!orDB.InsertAction(work, false))
                     {
                         orDB.rollback();
                         MessageBox.Show("登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
@@ -951,17 +1001,18 @@
 
                 // 成功したらcommit
                 orDB.commit();
+
+                return true;
             }
             catch (System.Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
             }
             finally
             {
-                orDB.close();
-                orDB = null;
+                orDB.close(); orDB = null;
             }
-            return true;
         }
         #endregion
 
@@ -1059,8 +1110,15 @@
                 else if (odList.CorporateStatusPoint == 1) rdbPoint2.Checked = true;
                 else if (odList.CorporateStatusPoint == 2) rdbPoint3.Checked = true;
 
+                if (odList.OrderFlg == 0) radioButton1.Checked = true;
+                else if (odList.OrderFlg == 1) radioButton2.Checked = true;
+
                 m_dispControl[(int)Dispcount.OrderersName1].Text = odList.OrderersName1.ToString();
                 m_dispControl[(int)Dispcount.OrderersName2].Text = odList.OrderersName2.ToString();
+
+                m_dispControl[(int)Dispcount.DepartmentName].Text = odList.DepartmentName.ToString();
+                m_dispControl[(int)Dispcount.ChargePersonName].Text = odList.ChargePersonName.ToString();
+                
                 m_dispControl[(int)Dispcount.ZipCode].Text = odList.ZipCode.ToString();
                 m_dispControl[(int)Dispcount.Address1].Text = odList.Address1.ToString();
                 m_dispControl[(int)Dispcount.Address2].Text = odList.Address2.ToString();
@@ -1067,6 +1125,7 @@
                 m_dispControl[(int)Dispcount.Address3].Text = odList.Address3.ToString();
                 m_dispControl[(int)Dispcount.PhoneNumber].Text = odList.PhoneNumber.ToString();
                 m_dispControl[(int)Dispcount.FaxNumber].Text = odList.FaxNumber.ToString();
+                m_dispControl[(int)Dispcount.MailAddress].Text = odList.MailAddress.ToString();
                 m_dispControl[(int)Dispcount.Note].Text = odList.Note.ToString();
 
                 cmbChangeOrdersDivision.SelectedValue = odList.OrderCotegory;
@@ -1183,6 +1242,9 @@
                 btnDataLineEntry.Visible = false;
                 btnDispDown.Visible = false;
                 btnDispUp.Visible = false;
+                btnSerchZip.Visible = false;
+                panel1.Enabled = false;
+                panel5.Enabled = false;
             }
             catch (Exception ex)
             {
@@ -1190,5 +1252,66 @@
             }
         }
         #endregion
+
+        #region 法人・個人区分切り替え
+        /// <summary>
+        /// 法人・個人区分切り替え
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void radioButton_CheckedChanged(object sender, EventArgs e)
+        {
+            // 表示タイプ切り替え
+            ChangeDispType();
+        }
+        #endregion
+
+        #region 表示タイプ切り替え
+        /// <summary>
+        /// 表示タイプ切り替え
+        /// </summary>
+        private void ChangeDispType()
+        {
+            try
+            {
+                int TblHeight = 0;
+                float fHeight = 0;
+                bool bVisible = true;
+                if (radioButton1.Checked)
+                {
+                    fHeight = 30F;
+                    bVisible = true;
+                    TblHeight = (int)((fHeight * 16) + 80F);
+                }
+                else if (radioButton2.Checked)
+                {
+                    fHeight = 0F;
+                    bVisible = false;
+                    TblHeight = (int)((30F * 12) + 80F);
+                }
+                tableLayoutPanel1.Height = TblHeight;
+
+                tableLayoutPanel1.RowStyles[2].Height = fHeight;
+                cmbCorporateStatus.Visible = bVisible;
+                label16.Visible = bVisible;
+
+                tableLayoutPanel1.RowStyles[3].Height = fHeight;
+                panel5.Visible = bVisible;
+                label11.Visible = bVisible;
+
+                tableLayoutPanel1.RowStyles[6].Height = fHeight;
+                textBox1.Visible = bVisible;
+                label15.Visible = bVisible;
+
+                tableLayoutPanel1.RowStyles[7].Height = fHeight;
+                textBox2.Visible = bVisible;
+                label17.Visible = bVisible;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
     }
 }
\ No newline at end of file
